> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard health summary

> Returns a high-level health overview including broken connectors, failed transforms, active snapshots, and topic health metrics.



## OpenAPI

````yaml /openapi/openapi.json get /dashboard/health
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /dashboard/health:
    get:
      tags:
        - Dashboard
      summary: Get dashboard health summary
      description: >-
        Returns a high-level health overview including broken connectors, failed
        transforms, active snapshots, and topic health metrics.
      operationId: getDashboardHealth
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardHealthRes'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    DashboardHealthRes:
      properties:
        sources_broken:
          type: integer
          title: Sources Broken
          description: Number of broken source connectors
          default: 0
        destinations_broken:
          type: integer
          title: Destinations Broken
          description: Number of broken destination connectors
          default: 0
        transforms_failed:
          type: integer
          title: Transforms Failed
          description: Number of failed transforms
          default: 0
        failed_transform_ids:
          items:
            type: string
          type: array
          title: Failed Transform Ids
          description: Entity IDs of failed transforms
        pipelines_broken:
          type: integer
          title: Pipelines Broken
          description: Number of broken pipelines
          default: 0
        dlq_topics_with_messages:
          type: integer
          title: Dlq Topics With Messages
          description: Number of DLQ topics containing messages
          default: 0
        orphaned_topic_count:
          type: integer
          title: Orphaned Topic Count
          description: Number of orphaned topics
          default: 0
        stale_source_count:
          type: integer
          title: Stale Source Count
          description: Number of stale sources with no recent data
          default: 0
        partition_skew_count:
          type: integer
          title: Partition Skew Count
          description: Number of topics with partition skew
          default: 0
        throughput_total_rps:
          type: number
          title: Throughput Total Rps
          description: Total throughput in records per second
          default: 0
        broken_connectors:
          items:
            $ref: '#/components/schemas/BrokenConnectorRes'
          type: array
          title: Broken Connectors
          description: List of broken connectors
        active_snapshots:
          items:
            $ref: '#/components/schemas/ActiveSnapshotRes'
          type: array
          title: Active Snapshots
          description: List of sources with active snapshots
        topic_health:
          $ref: '#/components/schemas/TopicHealthRes'
          description: Aggregated topic health metrics
      additionalProperties: true
      type: object
      title: DashboardHealthRes
      description: Response model for GET /dashboard/health.
    BrokenConnectorRes:
      properties:
        id:
          type: string
          title: Id
          description: Connector entity ID
        name:
          type: string
          title: Name
          description: Connector display name
        type:
          type: string
          title: Type
          description: 'Connector type: ''source'' or ''destination'''
      additionalProperties: true
      type: object
      required:
        - id
        - name
        - type
      title: BrokenConnectorRes
      description: A connector that is in a broken/failed state.
    ActiveSnapshotRes:
      properties:
        source_id:
          type: string
          title: Source Id
          description: Source entity ID
        source_name:
          type: string
          title: Source Name
          description: Source display name
        topic_count:
          type: integer
          title: Topic Count
          description: Total number of topics in the snapshot
          default: 0
        completed_count:
          type: integer
          title: Completed Count
          description: Number of topics that have completed snapshotting
          default: 0
      additionalProperties: true
      type: object
      required:
        - source_id
        - source_name
      title: ActiveSnapshotRes
      description: A source with an active snapshot in progress.
    TopicHealthRes:
      properties:
        topics_high_latency:
          type: integer
          title: Topics High Latency
          description: Number of topics with high latency
          default: 0
        topics_with_lag:
          type: integer
          title: Topics With Lag
          description: Number of topics with consumer lag
          default: 0
        max_latency_ms:
          type: integer
          title: Max Latency Ms
          description: Maximum latency across all topics in milliseconds
          default: 0
        max_lag:
          type: integer
          title: Max Lag
          description: Maximum consumer lag across all topics
          default: 0
      additionalProperties: true
      type: object
      title: TopicHealthRes
      description: Aggregated topic health metrics.
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````